#include <iostream>
#include <algorithm>
using namespace std;
int main() 
{
    int n,l,m=-1;
    cin>>n>>l;
    int a[n+1];
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    
    }
    for(int i=1;i<=n;i++)
    {
        if(a[i]<l)
        {
            cout<<i;
            return 0;
        }
    }
    cout<<m;

    return 0;
}